alt.java.io

## Interface IOFactory

All Known Implementing Classes:
  IOFactoryImpl, MockIOFactory

    public interface IOFactory

### Method Summary

Methods
`File` `createFile(java.lang.String fileName)`
`java.io.InputStream` `createInputStream(File aFile)`
`java.io.OutputStream` `createOutputStream(File aFile)`

### Method Detail

#### createInputStream

    java.io.InputStream createInputStream(File aFile)
                                          throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

#### createOutputStream

    java.io.OutputStream createOutputStream(File aFile)
                                            throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

#### createFile

    File createFile(java.lang.String fileName)